Bug 52656 - ToolbarItem needs accessibility support
Summary: ToolbarItem needs accessibility support
Status: RESOLVED ANSWERED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.2
Hardware: Macintosh Mac OS
: Normal enhancement
Target Milestone: ---
Assignee: Samantha Houts [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-02-21 23:35 UTC by sam
Modified: 2018-02-01 18:04 UTC (History)
3 users (show)

Tags: voiceover accessibility ac fr
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description sam 2017-02-21 23:35:50 UTC
When a toolbaritem has an icon, the iOS navigation renderer does not set any property to allow screenreaders to read the 'text' field. Usually the 'Title' field of the UIBarButtonItem would be read out by voiceover, but Xamarin.Forms.Platform.iOS.ToolbarExtensions (used by ios NavigationRenderer) does not set the 'Title' if the toolbar has an icon. 

This hides the text of the toolbar item as expected, but causes an issue with ios accessibility voiceover, where it instead reads the 'icon' value out.

ToolbarItem should have some accessibility support, eg. an additional property, or allowing it to have effects applied to it, to allow developers to set the UIBarButtonItem's accessibilityLabel, hint etc. properties.
Comment 1 Paul DiPietro [MSFT] 2017-02-22 19:07:55 UTC
I would suggest proposing something like this on the Forms Evolution forum (https://forums.xamarin.com/categories/xamarin-forms-evolution) which would give it greater visibility than here. We have recently had work done involving accessibility which would relate to this. I will mark this as an enhancement for the time being.
Comment 3 Samantha Houts [MSFT] 2018-02-01 18:04:47 UTC
This has been migrated to https://github.com/xamarin/Xamarin.Forms/issues/1742. Please follow that issue for updates. Thanks!